AvailabilityType (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.measurement.shared.AvailabilityType class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.measurement.shared
Class AvailabilityType

    java.lang.Object
      org.hyperic.util.HypericEnum
          org.hyperic.hq.measurement.shared.AvailabilityType

All Implemented Interfaces:
  java.io.Serializable, JSON

    public class AvailabilityType

extends HypericEnum

See Also:
  Serialized Form

Field Summary
`static AvailabilityType` | `AVAIL_DOWN`
`static AvailabilityType` | `AVAIL_NULL`
`static AvailabilityType` | `AVAIL_PAUSED`
`static AvailabilityType` | `AVAIL_UNKNOWN`
`static AvailabilityType` | `AVAIL_UP`
`static AvailabilityType` | `AVAIL_WARN`

Constructor Summary
`AvailabilityType(int code, java.lang.String desc, java.lang.String localeProp)`

Method Summary
`static AvailabilityType` | `findByAvailVal(double availVal)`
`static AvailabilityType` | `findByCode(int code)`
`double` | `getAvailabilityValue()`

Methods inherited from class org.hyperic.util.HypericEnum
`findByCode, findByDescription, getAll, getByCode, getCode, getDescription, getJsonName, getValue, toJSON, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### AVAIL_DOWN

    public static final AvailabilityType AVAIL_DOWN

### AVAIL_UP

    public static final AvailabilityType AVAIL_UP

### AVAIL_PAUSED

    public static final AvailabilityType AVAIL_PAUSED

### AVAIL_NULL

    public static final AvailabilityType AVAIL_NULL

### AVAIL_WARN

    public static final AvailabilityType AVAIL_WARN

### AVAIL_UNKNOWN

    public static final AvailabilityType AVAIL_UNKNOWN

Constructor Detail

### AvailabilityType

    public AvailabilityType(int code,
                            java.lang.String desc,
                            java.lang.String localeProp)

Method Detail

### getAvailabilityValue

    public double getAvailabilityValue()

### findByAvailVal

    public static AvailabilityType findByAvailVal(double availVal)

### findByCode

    public static AvailabilityType findByCode(int code)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.